Bug 1018191 - [abrt] system-config-printer-1.4.2-1.fc19: gettext.py:406:ugettext:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 77: ordinal not in range(128)
[abrt] system-config-printer-1.4.2-1.fc19: gettext.py:406:ugettext:UnicodeDec...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:422165ebdfed65f1eb6432f5485...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 08:03 EDT by antonio montagnani
Modified: 2013-11-10 02:44 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:39:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.70 KB, text/plain)
2013-10-11 08:03 EDT, antonio montagnani
no flags Details
File: dso_list (76 bytes, text/plain)
2013-10-11 08:03 EDT, antonio montagnani
no flags Details
File: environ (1.66 KB, text/plain)
2013-10-11 08:04 EDT, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2013-10-11 08:03:49 EDT
Description of problem:
just opening config-system-printer

Version-Release number of selected component:
system-config-printer-1.4.2-1.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.11.3-201.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
gettext.py:406:ugettext:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 77: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1698, in on_edit_activate
    self.dests_iconview_item_activated (self.dests_iconview, paths[0])
  File "/usr/share/system-config-printer/system-config-printer.py", line 509, in dests_iconview_item_activated
    parent=self.PrintersWindow)
  File "/usr/share/system-config-printer/printerproperties.py", line 578, in show
    self.load (name, host=host, encryption=encryption, parent=parent)
  File "/usr/share/system-config-printer/printerproperties.py", line 1318, in load
    self.ppd = printer.getPPD()
  File "/usr/lib/python2.7/site-packages/cupshelpers/cupshelpers.py", line 204, in getPPD
    self._ppd = self.connection.getPPD(self.name)
  File "/usr/share/system-config-printer/authconn.py", line 222, in <lambda>
    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
  File "/usr/share/system-config-printer/authconn.py", line 263, in _authloop
    self._ask_retry_server_error (m)
  File "/usr/share/system-config-printer/authconn.py", line 305, in _ask_retry_server_error
    "CUPS operation: '%s'." % message))
  File "/usr/lib/python2.7/gettext.py", line 406, in ugettext
    return unicode(message)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 77: ordinal not in range(128)

Local variables in innermost frame:
message: "There was an error during the CUPS operation: 'Il socket di destinazione non \xc3\xa8 connesso'."
tmsg: <object object at 0xb77758d0>
self: <gettext.GNUTranslations instance at 0x914cc6c>
missing: <object object at 0xb77758d0>
Comment 1 antonio montagnani 2013-10-11 08:03:54 EDT
Created attachment 811022 [details]
File: backtrace
Comment 2 antonio montagnani 2013-10-11 08:03:58 EDT
Created attachment 811023 [details]
File: dso_list
Comment 3 antonio montagnani 2013-10-11 08:04:01 EDT
Created attachment 811024 [details]
File: environ
Comment 5 Fedora Update System 2013-10-22 12:55:49 EDT
system-config-printer-1.4.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc20
Comment 6 Fedora Update System 2013-10-22 12:58:07 EDT
system-config-printer-1.4.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc19
Comment 7 Fedora Update System 2013-10-22 23:30:51 EDT
Package system-config-printer-1.4.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19726/system-config-printer-1.4.3-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-06 02:39:25 EST
system-config-printer-1.4.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-11-10 02:44:22 EST
system-config-printer-1.4.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.